/****************************************************************************
 *		xwireless: wpRTv
 *
 *			Date. 1995/11/13 -- 1996/01/24
 *				Programed by Nobuyuki Maruichi
 *	Note.
 *			SHIFT JIS Kanji Code / JIS X0208-1990
 *			Tab Size 4 / Shift Width = 4
 ***************************************************************************/

/***********************************
 *	bWCN[ht@C
 ***********************************/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>

/***************************************
 *	X Toolkit WCN[ht@C
 ***************************************/
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

/*****************************************
 *	Athena Widget ̃CN[ht@C
 *****************************************/
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Toggle.h>
#include <X11/Xaw/Repeater.h>
#include <X11/Xaw/Paned.h>

/***************************************************************************
 *	quit: IsȂR[obN֐
 *	`
 *		void quit_proc(Widget w, XtPointer client_data, XtPointer call_data);
 *	
 *		Widget w;				EBWFbg
 *		XtPointer client_data;	gp
 *		XtPointer call_data;	gp
 *	Ԃl
 *		
 *		
 *	
 *		@
 ***************************************************************************/
void quit_proc(Widget w, XtPointer client_data, XtPointer call_data)
{
	exit(0);
}

/***************************************************************************
 *	main: C֐
 *	`
 *		int main(int argc, char **argv);
 *	
 *		int argc;		
 *		char **argv;	
 *	Ԃl
 *		
 *	
 *		@
 ***************************************************************************/
int main(int argc, char **argv)
{
	XtAppContext app_context;
	Widget topLevel;
	Widget panel, quit, power, rec, rew, play, ff, stop, pause;

	topLevel = XtVaAppInitialize(
		&app_context, 			/* Application context */
		"XWireless", 			/* Application class */
		NULL, 0, 				/* command line */
		&argc, argv,			/* command line args */
		NULL, 					/* for missing app-defaults file */
		NULL);					/* terminate varargs list */

	panel = XtVaCreateManagedWidget(
		"panel", 				/* arbitrary widget name */
		panedWidgetClass,		/* widget class from Form.h */
		topLevel,	 			/* parent widget */
		NULL);					/* tarminate varargs list */

	quit = XtVaCreateManagedWidget(
		"quit", 				/* widget name */
		commandWidgetClass,		/* widget class from Toggle.h */
		panel, 					/* parent widget */
		NULL);					/* tarminate varargs list */

	power = XtVaCreateManagedWidget(
		"power", 				/* widget name */
		toggleWidgetClass,		/* widget class from Toggle.h */
		panel, 					/* parent widget */
		NULL);					/* tarminate varargs list */

	rec = XtVaCreateManagedWidget(
		"rec", 					/* widget name */
		toggleWidgetClass,		/* widget class from Toggle.h */
		panel, 					/* parent widget */
		NULL);					/* tarminate varargs list */

	rew = XtVaCreateManagedWidget(
		"rew", 					/* arbitrary widget name */
		repeaterWidgetClass,	/* widget class from Command.h */
		panel,	 				/* parent widget */
		NULL);					/* tarminate varargs list */

	play = XtVaCreateManagedWidget(
		"play", 				/* arbitrary widget name */
		toggleWidgetClass,		/* widget class from Command.h */
		panel,	 				/* parent widget */
		NULL);					/* tarminate varargs list */

	ff = XtVaCreateManagedWidget(
		"ff", 					/* arbitrary widget name */
		repeaterWidgetClass,	/* widget class from Command.h */
		panel,		 			/* parent widget */
		NULL);					/* tarminate varargs list */

	stop = XtVaCreateManagedWidget(
		"stop", 				/* arbitrary widget name */
		commandWidgetClass,		/* widget class from Command.h */
		panel,		 			/* parent widget */
		NULL);					/* tarminate varargs list */

	pause = XtVaCreateManagedWidget(
		"pause", 				/* arbitrary widget name */
		toggleWidgetClass,		/* widget class from Toggle.h */
		panel,		 			/* parent widget */
		NULL);					/* tarminate varargs list */

	XawToggleChangeRadioGroup(rec, play);
	XtAddCallback(quit, XtNcallback, quit_proc, pause);

	XtRealizeWidget(topLevel);
	XtAppMainLoop(app_context);
	return(0);
}
